/*!
 * © 2021 David Vines
 *
 * Creative Commons License
 *
 * This work is licensed under a Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License.
 */
/* exported State */
class State {
		constructor(name,init) {
		this._name = name;
		this._eastmoves = [];
		this._westmoves = [];
		init(this);
	}
	toString() {
		return this._name;
	}
	getEastMoves() {
		return this._eastmoves;
	}
	getWestMoves() {
		return this._westmoves;
	}
	addCommonMoves(moves) {
		for(let move of moves) {
			this._eastmoves.push(move);
			this._westmoves.push(move);
		}
	}
	addEastMoves(moves) {
		for(let move of moves) {
			this._eastmoves.push(move);
		}
	}
	addWestMoves(moves) {
		for(let move of moves) {
			this._eastmoves.push(move);
		}
	}
}